DefaultPrettyPrinter (Jackson-core 2.0.2 API)
Date: 2012-05-14

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core.util
Class DefaultPrettyPrinter

    java.lang.Object
      com.fasterxml.jackson.core.util.DefaultPrettyPrinter

All Implemented Interfaces:
  PrettyPrinter

    public class DefaultPrettyPrinter

extends Object
implements PrettyPrinter

Default `PrettyPrinter` implementation that uses 2-space indentation with platform-default linefeeds. Usually this class is not instantiated directly, but instead method `JsonGenerator.useDefaultPrettyPrinter()` is used, which will use an instance of this class for operation.

Nested Class Summary
`static class` | `DefaultPrettyPrinter.FixedSpaceIndenter` This is a very simple indenter that only every adds a single space for indentation.
`static interface` | `DefaultPrettyPrinter.Indenter` Interface that defines objects that can produce indentation used to separate object entries and array values.
`static class` | `DefaultPrettyPrinter.Lf2SpacesIndenter` Default linefeed-based indenter uses system-specific linefeeds and 2 spaces for indentation per level.
`static class` | `DefaultPrettyPrinter.NopIndenter` Dummy implementation that adds no indentation whatsoever

Field Summary
`protected DefaultPrettyPrinter.Indenter` | `_arrayIndenter` By default, let's use only spaces to separate array values.
`protected int` | `_nesting` Number of open levels of nesting.
`protected DefaultPrettyPrinter.Indenter` | `_objectIndenter` By default, let's use linefeed-adding indenter for separate object entries.
`protected boolean` | `_spacesInObjectEntries` By default we will add spaces around colons used to separate object fields and values.

Constructor Summary
`DefaultPrettyPrinter()`

Method Summary
`void` | `beforeArrayValues(JsonGenerator jg)` Method called after array start marker has been output, and right before the first value is to be output.
`void` | `beforeObjectEntries(JsonGenerator jg)` Method called after object start marker has been output, and right before the field name of the first entry is to be output.
`void` | `indentArraysWith(DefaultPrettyPrinter.Indenter i)`
`void` | `indentObjectsWith(DefaultPrettyPrinter.Indenter i)`
`void` | `spacesInObjectEntries(boolean b)`
`void` | `writeArrayValueSeparator(JsonGenerator jg)` Method called after an array value has been completely output, and before another value is to be output.
`void` | `writeEndArray(JsonGenerator jg, int nrOfValues)` Method called after an Array value has been completely output (minus closing bracket).
`void` | `writeEndObject(JsonGenerator jg, int nrOfEntries)` Method called after an Object value has been completely output (minus closing curly bracket).
`void` | `writeObjectEntrySeparator(JsonGenerator jg)` Method called after an object entry (field:value) has been completely output, and before another value is to be output.
`void` | `writeObjectFieldValueSeparator(JsonGenerator jg)` Method called after an object field has been output, but before the value is output.
`void` | `writeRootValueSeparator(JsonGenerator jg)` Method called after a root-level value has been completely output, and before another value is to be output.
`void` | `writeStartArray(JsonGenerator jg)` Method called when an Array value is to be output, before any member/child values are output.
`void` | `writeStartObject(JsonGenerator jg)` Method called when an Object value is to be output, before any fields are output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _arrayIndenter

    protected DefaultPrettyPrinter.Indenter _arrayIndenter

  By default, let's use only spaces to separate array values.

### _objectIndenter

    protected DefaultPrettyPrinter.Indenter _objectIndenter

  By default, let's use linefeed-adding indenter for separate object entries. We'll further configure indenter to use system-specific linefeeds, and 2 spaces per level (as opposed to, say, single tabs)

### _spacesInObjectEntries

    protected boolean _spacesInObjectEntries

  By default we will add spaces around colons used to separate object fields and values. If disabled, will not use spaces around colon.

### _nesting

    protected int _nesting

  Number of open levels of nesting. Used to determine amount of indentation to use.

Constructor Detail

### DefaultPrettyPrinter

    public DefaultPrettyPrinter()

Method Detail

### indentArraysWith

    public void indentArraysWith(DefaultPrettyPrinter.Indenter i)

### indentObjectsWith

    public void indentObjectsWith(DefaultPrettyPrinter.Indenter i)

### spacesInObjectEntries

    public void spacesInObjectEntries(boolean b)

### writeRootValueSeparator

    public void writeRootValueSeparator(JsonGenerator jg)
                                 throws IOException,
                                        JsonGenerationException

  Description copied from interface: `PrettyPrinter`
  Method called after a root-level value has been completely output, and before another value is to be output.

  Default handling (without pretty-printing) will output a space, to allow values to be parsed correctly. Pretty-printer is to output some other suitable and nice-looking separator (tab(s), space(s), linefeed(s) or any combination thereof).

  Specified by:
    `writeRootValueSeparator` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeStartObject

    public void writeStartObject(JsonGenerator jg)
                          throws IOException,
                                 JsonGenerationException

  Description copied from interface: `PrettyPrinter`
  Method called when an Object value is to be output, before any fields are output.

  Default handling (without pretty-printing) will output the opening curly bracket. Pretty-printer is to output a curly bracket as well, but can surround that with other (white-space) decoration.

  Specified by:
    `writeStartObject` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### beforeObjectEntries

    public void beforeObjectEntries(JsonGenerator jg)
                             throws IOException,
                                    JsonGenerationException

  Description copied from interface: `PrettyPrinter`
  Method called after object start marker has been output, and right before the field name of the first entry is to be output. It is not called for objects without entries.

  Default handling does not output anything, but pretty-printer is free to add any white space decoration.

  Specified by:
    `beforeObjectEntries` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeObjectFieldValueSeparator

    public void writeObjectFieldValueSeparator(JsonGenerator jg)
                                        throws IOException,
                                               JsonGenerationException

  Method called after an object field has been output, but before the value is output.

  Default handling (without pretty-printing) will output a single colon to separate the two. Pretty-printer is to output a colon as well, but can surround that with other (white-space) decoration.

  Specified by:
    `writeObjectFieldValueSeparator` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeObjectEntrySeparator

    public void writeObjectEntrySeparator(JsonGenerator jg)
                                   throws IOException,
                                          JsonGenerationException

  Method called after an object entry (field:value) has been completely output, and before another value is to be output.

  Default handling (without pretty-printing) will output a single comma to separate the two. Pretty-printer is to output a comma as well, but can surround that with other (white-space) decoration.

  Specified by:
    `writeObjectEntrySeparator` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeEndObject

    public void writeEndObject(JsonGenerator jg,
                               int nrOfEntries)
                        throws IOException,
                               JsonGenerationException

  Description copied from interface: `PrettyPrinter`
  Method called after an Object value has been completely output (minus closing curly bracket).

  Default handling (without pretty-printing) will output the closing curly bracket. Pretty-printer is to output a curly bracket as well, but can surround that with other (white-space) decoration.

  Specified by:
    `writeEndObject` in interface `PrettyPrinter`
    `nrOfEntries` - Number of direct members of the array that have been output
  Throws:
    `IOException`
    `JsonGenerationException`

### writeStartArray

    public void writeStartArray(JsonGenerator jg)
                         throws IOException,
                                JsonGenerationException

  Description copied from interface: `PrettyPrinter`
  Method called when an Array value is to be output, before any member/child values are output.

  Default handling (without pretty-printing) will output the opening bracket. Pretty-printer is to output a bracket as well, but can surround that with other (white-space) decoration.

  Specified by:
    `writeStartArray` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### beforeArrayValues

    public void beforeArrayValues(JsonGenerator jg)
                           throws IOException,
                                  JsonGenerationException

  Description copied from interface: `PrettyPrinter`
  Method called after array start marker has been output, and right before the first value is to be output. It is not called for arrays with no values.

  Default handling does not output anything, but pretty-printer is free to add any white space decoration.

  Specified by:
    `beforeArrayValues` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeArrayValueSeparator

    public void writeArrayValueSeparator(JsonGenerator jg)
                                  throws IOException,
                                         JsonGenerationException

  Method called after an array value has been completely output, and before another value is to be output.

  Default handling (without pretty-printing) will output a single comma to separate the two. Pretty-printer is to output a comma as well, but can surround that with other (white-space) decoration.

  Specified by:
    `writeArrayValueSeparator` in interface `PrettyPrinter`
  Throws:
    `IOException`
    `JsonGenerationException`

### writeEndArray

    public void writeEndArray(JsonGenerator jg,
                              int nrOfValues)
                       throws IOException,
                              JsonGenerationException

  Description copied from interface: `PrettyPrinter`
  Method called after an Array value has been completely output (minus closing bracket).

  Default handling (without pretty-printing) will output the closing bracket. Pretty-printer is to output a bracket as well, but can surround that with other (white-space) decoration.

  Specified by:
    `writeEndArray` in interface `PrettyPrinter`
    `nrOfValues` - Number of direct members of the array that have been output
  Throws:
    `IOException`
    `JsonGenerationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.